# QVM: Quaternions, Vectors, Matrices

### boost/qvm/deduce_quat.hpp

### Synopsis:

#include <boost/qvm/deduce_quat.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <class Q>
            struct deduce_quat
            {
                typedef Q type;
            };

            template <class A,class B>
            struct deduce_quat2
            {
                typedef /*unspecified*/ type;
            };
        }
    }

See also: deduce_quat | deduce_quat2